# Uses of Interface
org.opensaml.xmlsec.signature.Signature

Packages that use Signature
Package
Description
org.opensaml.saml.common
Base classes for working with SAML as Java objects.
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.
org.opensaml.xmlsec.signature.support.impl.provider
Provides Santuario-specific implementation of signing and validation.

## Uses of Signature in org.opensaml.saml.common

Methods in org.opensaml.saml.common with parameters of type Signature
Modifier and Type
Method
Description
`void`
AbstractSignableSAMLObject.`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

## Uses of Signature in org.opensaml.saml.common.binding.security.impl

Methods in org.opensaml.saml.common.binding.security.impl that return types with arguments of type Signature
Modifier and Type
Method
Description
`protected TrustEngine<Signature>`
BaseSAMLXMLSignatureSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
Methods in org.opensaml.saml.common.binding.security.impl with parameters of type Signature
Modifier and Type
Method
Description
`protected void`
SAMLProtocolMessageXMLSignatureSecurityHandler.`doEvaluate(Signature signature, SignableSAMLObject signableObject, MessageContext messageContext)`
Perform cryptographic validation and trust evaluation on the Signature token using the configured Signature trust engine.
`protected void`
SAMLProtocolMessageXMLSignatureSecurityHandler.`performPrevalidation(Signature signature)`
Perform pre-validation on the Signature token.

## Uses of Signature in org.opensaml.saml.metadata.resolver.filter.impl

Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type Signature
Modifier and Type
Method
Description
`protected void`
SignatureValidationFilter.`performPreValidation(Signature signature, String metadataEntryName)`
Perform pre-validation on the Signature token.

## Uses of Signature in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as Signature
Modifier and Type
Field
Description
`private Signature`
RoleDescriptorXSAnyAdapter.`signature`
Signature child.
Methods in org.opensaml.saml.saml2.metadata.impl that return Signature
Modifier and Type
Method
Description
`Signature`
RoleDescriptorXSAnyAdapter.`getSignature()`
Gets the Signature XMLObject.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type Signature
Modifier and Type
Method
Description
`void`
RoleDescriptorXSAnyAdapter.`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

## Uses of Signature in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type Signature
Modifier and Type
Method
Description
`void`
SAMLSignatureProfileValidator.`validate(Signature signature)`
Validate the signature according to the requirements represented by the validator.

## Uses of Signature in org.opensaml.xmlsec.signature

Fields in org.opensaml.xmlsec.signature declared as Signature
Modifier and Type
Field
Description
`private Signature`
AbstractSignableXMLObject.`signature`
Signature child.
Methods in org.opensaml.xmlsec.signature that return Signature
Modifier and Type
Method
Description
`Signature`
AbstractSignableXMLObject.`getSignature()`
Gets the Signature XMLObject.
`Signature`
SignableXMLObject.`getSignature()`
Gets the Signature XMLObject.
Methods in org.opensaml.xmlsec.signature with parameters of type Signature
Modifier and Type
Method
Description
`void`
AbstractSignableXMLObject.`setSignature(Signature newSignature)`
Sets the Signature XMLObject.
`void`
SignableXMLObject.`setSignature(Signature newSignature)`
Sets the Signature XMLObject.

## Uses of Signature in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Signature
Modifier and Type
Class
Description
`class`
`SignatureImpl`
XMLObject representing an enveloped or detached XML Digital Signature, version 20020212, Signature element.
Methods in org.opensaml.xmlsec.signature.impl that return Signature
Modifier and Type
Method
Description
`Signature`
SignatureBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Signature`
SignatureBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Signature`
SignatureUnmarshaller.`unmarshall(Element signatureElement)`
Unmarshalls the given W3C DOM element into a XMLObject.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Signature
Modifier and Type
Method
Description
`private Element`
SignatureMarshaller.`createSignatureElement(Signature signature, Document document)`
Creates the signature elements but does not compute the signature.

## Uses of Signature in org.opensaml.xmlsec.signature.support

Fields in org.opensaml.xmlsec.signature.support declared as Signature
Modifier and Type
Field
Description
`private final Signature`
XMLSignatureCredentialContext.`sig`
The Signature element context.
Methods in org.opensaml.xmlsec.signature.support that return Signature
Modifier and Type
Method
Description
`Signature`
XMLSignatureCredentialContext.`getSignature()`
Gets the Signature element context.
Methods in org.opensaml.xmlsec.signature.support with parameters of type Signature
Modifier and Type
Method
Description
`static void`
SignatureSupport.`prepareSignatureParams(Signature signature, SignatureSigningParameters parameters)`
Prepare a `Signature` with necessary additional information prior to signing.
`private static void`
SignatureSupport.`processContentReferences(Signature signature, SignatureSigningParameters parameters)`
Prepare the content references.
`private static void`
SignatureSupport.`processKeyInfo(Signature signature, SignatureSigningParameters parameters)`
Prepare the content references.
`static void`
Signer.`signObject(Signature signature)`
Signs a single XMLObject.
`void`
SignerProvider.`signObject(Signature signature)`
Signs a single XMLObject.
`void`
SignaturePrevalidator.`validate(Signature signature)`
Validate the signature according to the requirements represented by the validator.
`void`
SignatureValidationProvider.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.
`static void`
SignatureValidator.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.
Method parameters in org.opensaml.xmlsec.signature.support with type arguments of type Signature
Modifier and Type
Method
Description
`static void`
Signer.`signObjects(List<Signature> signatures)`
Signs the given XMLObject in the order provided.
Constructors in org.opensaml.xmlsec.signature.support with parameters of type Signature
Modifier
Constructor
Description
``
`XMLSignatureCredentialContext(Signature signature)`
Constructor.

## Uses of Signature in org.opensaml.xmlsec.signature.support.impl

Methods in org.opensaml.xmlsec.signature.support.impl with parameters of type Signature
Modifier and Type
Method
Description
`protected void`
SignatureAlgorithmValidator.`checkDOM(Signature signature)`
Check that Signature XMLObject has a cached DOM Element.
`protected void`
BaseSignatureTrustEngine.`checkParams(Signature signature, CriteriaSet trustBasisCriteria)`
Check the signature and credential criteria for required values.
`protected abstract boolean`
BaseSignatureTrustEngine.`doValidate(Signature signature, CriteriaSet trustBasisCriteria)`
Validate the signature using the supplied trust criteria.
`protected boolean`
ExplicitKeySignatureTrustEngine.`doValidate(Signature signature, CriteriaSet trustBasisCriteria)`
Validate the signature using the supplied trust criteria.
`protected boolean`
PKIXSignatureTrustEngine.`doValidate(Signature signature, CriteriaSet trustBasisCriteria)`
Validate the signature using the supplied trust criteria.
`protected List<String>`
SignatureAlgorithmValidator.`getDigestMethods(Signature signatureXMLObject)`
Get the list of Signature Reference DigestMethod algorithm URIs.
`protected String`
SignatureAlgorithmValidator.`getSignatureAlgorithm(Signature signatureXMLObject)`
Get the signature algorithm.
`final boolean`
BaseSignatureTrustEngine.`validate(Signature signature, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.
`protected boolean`
BaseSignatureTrustEngine.`validate(Signature signature, TrustBasisType trustBasis)`
Attempt to establish trust by resolving signature verification credentials from the Signature's KeyInfo.
`void`
ChainingSignaturePrevalidator.`validate(Signature signature)`
Validate the signature according to the requirements represented by the validator.
`boolean`
ChainingSignatureTrustEngine.`validate(Signature token, CriteriaSet trustBasisCriteria)`
Validates the token against trusted information obtained in an implementation-specific manner.
`void`
SignatureAlgorithmValidator.`validate(Signature signature)`
Validate the algorithms in the signature.
`protected boolean`
BaseSignatureTrustEngine.`verifySignature(Signature signature, Credential credential)`
Attempt to verify a signature using the key from the supplied credential.

## Uses of Signature in org.opensaml.xmlsec.signature.support.impl.provider

Methods in org.opensaml.xmlsec.signature.support.impl.provider with parameters of type Signature
Modifier and Type
Method
Description
`protected org.apache.xml.security.signature.XMLSignature`
ApacheSantuarioSignatureValidationProviderImpl.`getXMLSignature(Signature signature)`
Access the `XMLSignature` from the given signature object.
`void`
ApacheSantuarioSignerProviderImpl.`signObject(Signature signature)`
Signs a single XMLObject.
`void`
ApacheSantuarioSignatureValidationProviderImpl.`validate(Signature signature, Credential validationCredential)`
Validate the given XML Signature using the given candidate validation Credential.